Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 974084 - Kitchensink Archetype contains an old version of JBoss BOM
Kitchensink Archetype contains an old version of JBoss BOM
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Brian Leathem
Pavol Pitonak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 07:56 EDT by Jan Papousek
Modified: 2013-08-09 09:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 09:53:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RF-13057 Major Resolved Kitchensink Archetype: update enterprise version of JBoss BOM 2013-11-19 04:36:25 EST
JBoss Issue Tracker WFK2-144 Major Verified Kitchensink Archetype contains an old version of JBoss BOM 2013-11-19 04:36:27 EST

  None (edit)
Description Jan Papousek 2013-06-13 07:56:31 EDT
Description of problem:

The 4.3.2.Final Kitchensink archetypes defines version of JBoss BOM 1.0.4.Final-redhat-wfk-1, but WFK 2.3.0.ER1 contains only 1.0.4.Final-redhat-wfk-2.
Comment 1 JBoss JIRA Server 2013-06-25 20:48:49 EDT
Brian Leathem <bleathem@gmail.com> updated the status of jira RF-13057 to Resolved
Comment 2 JBoss JIRA Server 2013-06-25 20:48:49 EDT
Brian Leathem <bleathem@gmail.com> made a comment on jira RF-13057

Resolved with this commit:
https://github.com/richfaces/richfaces-archetypes/commit/7313da78a11de8e29d32325841ecf577d1e32edc

[~manaRH] can you cherry pick this into the WFK branch?  Or would you rather I do a new 4.3.2.Final-2 archetype release?
Comment 3 Marek Novotny 2013-06-26 02:25:15 EDT
Brian, archetype modifications are asynchronous process, so no WFK cherry picking is needed, do the release and QE verifies your release with proper cli arguments. Have a nice day!
Comment 4 Brian Leathem 2013-06-26 22:39:26 EDT
Released and staged here:
https://repository.jboss.org/nexus/content/repositories/jboss_releases_staging_profile-1153/

@Pavol, can you please verify?
Comment 5 Pavol Pitonak 2013-07-02 08:18:23 EDT
First, issues should have ON_QA status when you want us to verify fix.

Brian, archetype itself seems to be OK.

Marek, I need to use both EAP 6.0.1 and 6.1.0 Maven repositories for building generated project because of missing slf4j dependency:

[ERROR] Failed to execute goal on project richfaces-kitchensink: Could not resolve dependencies for project org.richfaces.tests.archetypes:richfaces-kitchensink:war:4.3.2.Final: Could not find artifact org.slf4j:jcl-over-slf4j:jar:1.6.1-redhat-2 in wfk-latest-enterprise-repository (file:///mnt/hudson_workspace/workspace/richfaces-wfk-2.3-archetype-kitchensink-ftest/wfk-tools/maven-bootstrap/jboss-wfk-2.3.0-maven-repository) -> [Help 1]

This is part of mvn dependency:tree:
org.richfaces.tests.archetypes:richfaces-kitchensink:war:4.3.2.Final
+- org.richfaces.core:richfaces-core-impl:jar:4.3.2.Final-redhat-1:compile
|  +- org.richfaces.core:richfaces-core-api:jar:4.3.2.Final-redhat-1:compile
|  +- net.sourceforge.cssparser:cssparser:jar:0.9.5:compile
|  |  \- org.w3c.css:sac:jar:1.3:compile
|  +- com.google.guava:guava:jar:13.0.1-redhat-1:compile
|  \- org.apache.james:apache-mime4j:jar:0.6-redhat-2:compile
|     \- org.slf4j:jcl-over-slf4j:jar:1.6.1-redhat-2:compile
|        \- org.slf4j:slf4j-api:jar:1.6.1-redhat-2:compile
Comment 6 Marek Novotny 2013-07-02 08:58:53 EDT
Pavol, try to ecxlude org.apache.james:apache-mime4j:jar:0.6-redhat-2 or directly org.slf4j:jcl-over-slf4j. That EAP artifact is unfortunately in EAP 6.1.0 repository inconsistent.
Comment 7 Pavol Pitonak 2013-07-02 09:15:29 EDT
Excluding jcl-over-slf4j helps. Do we need to release new versions of our both archetypes with excluded jcl-over-slf4 or is there any other way of doing it?
Comment 9 Pavol Pitonak 2013-07-23 08:08:38 EDT
Brian, this hasn't been resolved yet. Are you going to release a new version of archetype or will it be resolved in WFK 2.4?
Comment 10 Brian Leathem 2013-07-29 17:17:18 EDT
Pavol, your comment on 2013-07-02 08:18:23 EDT (Comment 5) indicates this was resolved.  Can you clarify what you mean when you say it is hasn't been resolved yet?

See the released archetype in maven central:
http://search.maven.org/#artifactdetails%7Corg.richfaces.archetypes%7Crichfaces-archetype-kitchensink%7C4.3.2.Final-1%7Cmaven-archetype
Comment 11 Pavol Pitonak 2013-08-01 05:07:39 EDT
The archetype itself works fine with both EAP 6.0.1 and 6.1.0 Maven repositories. However, it should work with only 6.1.0 repository but it's not possible because of a bug in EAP Maven repo. However, customers can workaround it so we don't have to release new version of archetype. We should fix it in WFK 2.4.

Note You need to log in before you can comment on or make changes to this bug.